<template>
    <div>
        <h1>{{ $t('demo.welcome') }}</h1>
        <p>{{ $t('demo.description') }}</p>

        <p>{{ $t('plurals.example', {numPhotos: 1000}) }}</p>

        <NuxtLink to="/about">
            About
        </NuxtLink>

        <hr>
        <div>
            <div v-if="languages">
                <span v-for="(lng, index) in Object.keys(languages)" :key="lng">
                  <a v-if="$i18next.resolvedLanguage !== lng" v-on:click="$i18next.changeLanguage(lng)">
                    {{ languages[lng].nativeName }}
                  </a>
                  <strong v-if="$i18next.resolvedLanguage === lng">
                    {{ languages[lng].nativeName }}
                  </strong>
                  <span v-if="index < (Object.keys(languages).length - 1)">&nbsp;|&nbsp;</span>
                </span>
            </div>
        </div>
    </div>
</template>
<script lang="ts">

export default ({
    data() {
        return {
            languages: {
                en: {nativeName: 'English'},
                fr: {nativeName: 'Francais'}
            }
        }
    },
    mounted() {
        console.log(this.$t("common.hello"))
    }
});
</script>
